--- title: "Get the IP Status from a GTI Private Cloud" slug: "get-the-ip-status-from-a-gti-private-cloud" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:36:53Z published: 2026-09-23T09:36:53Z canonical: "docs.trellix.com/get-the-ip-status-from-a-gti-private-cloud" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the IP Status from a GTI Private Cloud This URL gets the IP status from GTI private cloud configured on the Manager. ## Resource URL GET /gticonfiguration/private/{ip_address}/testconnection ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | ip_address | IP address whose status you want to know | String | Yes | Payload Request Parameters: None ## Response Parameters Following fields are returned: | Field Name | Description | Data Type | | --- | --- | --- | | status | Reputation of the IP on the GTI private cloud | String | | country | Country of the IP. If information about the country is not available, it returns an empty string as the value. | String | ## Example **Request** GET [https:///sdkapi/gticonfiguration/private/1.1.1.1/testconnection](https://%3CNSM_IP%3E/sdkapi/getclusterid) **Payload** None **Response** ``` { "status":"High","country":"" } ```   ## Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error |